GDB (xrefs)

Public Attributes | List of all members
addrmap_mutable Struct Reference

## Public Attributes
struct addrmap | addrmap
struct obstack * | obstack
splay_tree | tree
splay_tree_node | free_nodes

## Detailed Description

Definition at line 211 of file addrmap.c.

## Member Data Documentation

## ◆ addrmap

struct addrmap addrmap_mutable::addrmap

Definition at line 213 of file addrmap.c.

Referenced by addrmap_create_mutable().

## ◆ free_nodes

splay_tree_node addrmap_mutable::free_nodes

Definition at line 239 of file addrmap.c.

Referenced by addrmap_create_mutable(), splay_obstack_alloc(), and splay_obstack_free().

## ◆ obstack

struct obstack* addrmap_mutable::obstack

Definition at line 216 of file addrmap.c.

Referenced by addrmap_create_mutable(), allocate_key(), and splay_obstack_alloc().

## ◆ tree

splay_tree addrmap_mutable::tree

Definition at line 235 of file addrmap.c.

Referenced by addrmap_create_mutable(), addrmap_mutable_create_fixed(), addrmap_mutable_foreach(), addrmap_splay_tree_insert(), addrmap_splay_tree_lookup(), addrmap_splay_tree_predecessor(), addrmap_splay_tree_remove(), and addrmap_splay_tree_successor().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/addrmap.c